Remove campaign targets
curl --request DELETE \
--url https://api.reachhunt.ai/api/v1/campaigns/{campaignId}/targets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"targetIds": [
"<string>"
],
"all": true,
"status": "<string>",
"search": "<string>"
}
'import requests
url = "https://api.reachhunt.ai/api/v1/campaigns/{campaignId}/targets"
payload = {
"targetIds": ["<string>"],
"all": True,
"status": "<string>",
"search": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({targetIds: ['<string>'], all: true, status: '<string>', search: '<string>'})
};
fetch('https://api.reachhunt.ai/api/v1/campaigns/{campaignId}/targets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.reachhunt.ai/api/v1/campaigns/{campaignId}/targets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'targetIds' => [
'<string>'
],
'all' => true,
'status' => '<string>',
'search' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.reachhunt.ai/api/v1/campaigns/{campaignId}/targets"
payload := strings.NewReader("{\n \"targetIds\": [\n \"<string>\"\n ],\n \"all\": true,\n \"status\": \"<string>\",\n \"search\": \"<string>\"\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.reachhunt.ai/api/v1/campaigns/{campaignId}/targets")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"targetIds\": [\n \"<string>\"\n ],\n \"all\": true,\n \"status\": \"<string>\",\n \"search\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.reachhunt.ai/api/v1/campaigns/{campaignId}/targets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"targetIds\": [\n \"<string>\"\n ],\n \"all\": true,\n \"status\": \"<string>\",\n \"search\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status": true,
"data": {
"removed": 123,
"skipped": 123
},
"error": null
}{
"status": false,
"data": null,
"error": "Not authenticated"
}{
"status": false,
"data": null,
"error": "Your free trial has ended. Pick a plan to continue."
}{
"status": false,
"data": null,
"error": "Something went wrong. Please try again."
}Campaigns
Remove campaign targets
Removes people from a campaign. People already messaged are cancelled instead.
DELETE
/
campaigns
/
{campaignId}
/
targets
Remove campaign targets
curl --request DELETE \
--url https://api.reachhunt.ai/api/v1/campaigns/{campaignId}/targets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"targetIds": [
"<string>"
],
"all": true,
"status": "<string>",
"search": "<string>"
}
'import requests
url = "https://api.reachhunt.ai/api/v1/campaigns/{campaignId}/targets"
payload = {
"targetIds": ["<string>"],
"all": True,
"status": "<string>",
"search": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({targetIds: ['<string>'], all: true, status: '<string>', search: '<string>'})
};
fetch('https://api.reachhunt.ai/api/v1/campaigns/{campaignId}/targets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.reachhunt.ai/api/v1/campaigns/{campaignId}/targets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'targetIds' => [
'<string>'
],
'all' => true,
'status' => '<string>',
'search' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.reachhunt.ai/api/v1/campaigns/{campaignId}/targets"
payload := strings.NewReader("{\n \"targetIds\": [\n \"<string>\"\n ],\n \"all\": true,\n \"status\": \"<string>\",\n \"search\": \"<string>\"\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.reachhunt.ai/api/v1/campaigns/{campaignId}/targets")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"targetIds\": [\n \"<string>\"\n ],\n \"all\": true,\n \"status\": \"<string>\",\n \"search\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.reachhunt.ai/api/v1/campaigns/{campaignId}/targets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"targetIds\": [\n \"<string>\"\n ],\n \"all\": true,\n \"status\": \"<string>\",\n \"search\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status": true,
"data": {
"removed": 123,
"skipped": 123
},
"error": null
}{
"status": false,
"data": null,
"error": "Not authenticated"
}{
"status": false,
"data": null,
"error": "Your free trial has ended. Pick a plan to continue."
}{
"status": false,
"data": null,
"error": "Something went wrong. Please try again."
}Path Parameters
The campaign ID.
Body
application/json